# Uses of Enum Class
org.eclipse.net4j.util.ui.views.ContainerView.MessageType

Packages that use ContainerView.MessageType
Package
Description
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.

## Uses of ContainerView.MessageType in org.eclipse.net4j.util.ui.views

Methods in org.eclipse.net4j.util.ui.views that return ContainerView.MessageType
Modifier and Type
Method
Description
`static ContainerView.MessageType`
ContainerView.MessageType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ContainerView.MessageType[]`
ContainerView.MessageType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.net4j.util.ui.views with parameters of type ContainerView.MessageType
Modifier and Type
Method
Description
`protected boolean`
ContainerView.`showMessage(ContainerView.MessageType type, String message)`